Page MenuHomePhabricator

Document Wikibase Usage Aspects
Closed, ResolvedPublic

Description

@Ladsgroup and @GoranSMilovanovic will develop a concise documentation page going into some more detail on usage aspects in the Wikibase wbc_entity_usage schema:

https://www.mediawiki.org/wiki/Wikibase/Usage

Specifically, the details will be provided on:

  • the structure of C aspect records;
  • the way L and D aspects are recorded in respect to the operation of the language fallback mechanism;
  • the exact difference between the S and T records;
  • the contexts in which O is recorded.

The existing documentation from the above mentioned locations, plus the new details are provided in the new central Usage Tracking documentation: https://doc.wikimedia.org/Wikibase/master/php/md_docs_topics_usagetracking.html

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 29 2019, 10:39 AM
Restricted Application added a project: Wikidata. · View Herald TranscriptDec 13 2019, 9:43 AM
Addshore claimed this task.Jan 14 2020, 1:26 PM

Hi @GoranSMilovanovic

I updated https://doc.wikimedia.org/Wikibase/master/php/topic_usagetracking.html over december.
See also https://doc.wikimedia.org/Wikibase/master/php/md_docs_sql_wbc_entity_usage.html

How do these look?
Moving to the verification column on the campsite iteration board to get feedback.

Restricted Application added a project: User-Addshore. · View Herald TranscriptJan 14 2020, 1:26 PM
Addshore triaged this task as Medium priority.Jan 14 2020, 1:26 PM
Maintenance_bot moved this task from Incoming to In progress on the User-Ladsgroup board.

Ping @GoranSMilovanovic

How do the documentation pages linked above look to you?
Clear enough or still needing a bit more?
THis ticket will wait in this verification column until we hear something else :)

Adding the new documentation location to the task description ,as it might not be clear what's going on without parsing all the comments.

WMDE-leszek updated the task description. (Show Details)Mon, Feb 17, 9:39 AM
Addshore closed this task as Resolved.Tue, Feb 18, 10:39 AM

Been sat in verification for quite a while.
Feel free to re open if something is missing..